Main (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.cli

## Class Main

- java.lang.Object
- - org.apache.fop.cli.Main

-     public final class Main
      extends java.lang.Object

  Main command-line class for Apache FOP.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkDependencies()`
    `static java.net.URL[]` | `getJARList()`
    `static void` | `main(java.lang.String[] args)` The main routine for the command line interface
    `static void` | `startFOP(java.lang.String[] args)` Executes FOP with the given arguments.
    `static void` | `startFOPWithDynamicClasspath(java.lang.String[] args)` Dynamically builds a ClassLoader and executes FOP.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getJARList

          public static java.net.URL[] getJARList()
                                           throws java.net.MalformedURLException

      Returns:
        the list of URLs to all libraries.
      Throws:
        `java.net.MalformedURLException` - In case there is a problem converting java.io.File instances to URLs.

    - #### checkDependencies

          public static boolean checkDependencies()

      Returns:
        true if FOP's dependecies are available in the current ClassLoader setup.

    - #### startFOPWithDynamicClasspath

          public static void startFOPWithDynamicClasspath(java.lang.String[] args)

      Dynamically builds a ClassLoader and executes FOP.
      Parameters:
        `args` - command-line arguments

    - #### startFOP

          public static void startFOP(java.lang.String[] args)

      Executes FOP with the given arguments. If no argument is provided, returns its version number as well as a short usage statement; if '-v' is provided, returns its version number alone; if '-h' is provided, returns its short help message.
      Parameters:
        `args` - command-line arguments

    - #### main

          public static void main(java.lang.String[] args)

      The main routine for the command line interface
      Parameters:
        `args` - the command line parameters

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.